Compare commits

...
2 changed files with 195 additions and 137 deletions
Vendored
+75 -35
View File
@@ -208,6 +208,7 @@ pipeline {
env.META_TAG = 'develop-' + env.EXT_RELEASE_CLEAN + '-ls' + env.LS_TAG_NUMBER
env.EXT_RELEASE_TAG = 'develop-version-' + env.EXT_RELEASE_CLEAN
env.BUILDCACHE = 'docker.io/lsiodev/buildcache,registry.gitlab.com/linuxserver.io/docker-jenkins-builder/lsiodev-buildcache,ghcr.io/linuxserver/lsiodev-buildcache,quay.io/linuxserver.io/lsiodev-buildcache'
env.CITEST_IMAGETAG = 'latest'
}
}
}
@@ -233,6 +234,7 @@ pipeline {
env.EXT_RELEASE_TAG = 'develop-version-' + env.EXT_RELEASE_CLEAN
env.DOCKERHUB_LINK = 'https://hub.docker.com/r/' + env.DEV_DOCKERHUB_IMAGE + '/tags/'
env.BUILDCACHE = 'docker.io/lsiodev/buildcache,registry.gitlab.com/linuxserver.io/docker-jenkins-builder/lsiodev-buildcache,ghcr.io/linuxserver/lsiodev-buildcache,quay.io/linuxserver.io/lsiodev-buildcache'
env.CITEST_IMAGETAG = 'develop'
}
}
}
@@ -258,6 +260,7 @@ pipeline {
env.CODE_URL = 'https://github.com/' + env.LS_USER + '/' + env.LS_REPO + '/pull/' + env.PULL_REQUEST
env.DOCKERHUB_LINK = 'https://hub.docker.com/r/' + env.PR_DOCKERHUB_IMAGE + '/tags/'
env.BUILDCACHE = 'docker.io/lsiodev/buildcache,registry.gitlab.com/linuxserver.io/docker-jenkins-builder/lsiodev-buildcache,ghcr.io/linuxserver/lsiodev-buildcache,quay.io/linuxserver.io/lsiodev-buildcache'
env.CITEST_IMAGETAG = 'develop'
}
}
}
@@ -280,7 +283,7 @@ pipeline {
-v ${WORKSPACE}:/mnt \
-e AWS_ACCESS_KEY_ID=\"${S3_KEY}\" \
-e AWS_SECRET_ACCESS_KEY=\"${S3_SECRET}\" \
ghcr.io/linuxserver/baseimage-alpine:3.20 s6-envdir -fn -- /var/run/s6/container_environment /bin/bash -c "\
ghcr.io/linuxserver/baseimage-alpine:3 s6-envdir -fn -- /var/run/s6/container_environment /bin/bash -c "\
apk add --no-cache python3 && \
python3 -m venv /lsiopy && \
pip install --no-cache-dir -U pip && \
@@ -615,13 +618,16 @@ pipeline {
echo $GITHUB_TOKEN | docker login ghcr.io -u LinuxServer-CI --password-stdin
echo $GITLAB_TOKEN | docker login registry.gitlab.com -u LinuxServer.io --password-stdin
echo $QUAYPASS | docker login quay.io -u $QUAYUSER --password-stdin
if [[ "${PACKAGE_CHECK}" != "true" ]]; then
declare -A pids
IFS=',' read -ra CACHE <<< "$BUILDCACHE"
for i in "${CACHE[@]}"; do
docker push ${i}:amd64-${COMMIT_SHA}-${BUILD_NUMBER} &
pids[$!]="$i"
done
for p in $(jobs -p); do
wait "$p" || { echo "job $p failed" >&2; exit 1; }
for p in "${!pids[@]}"; do
wait "$p" || { [[ "${pids[$p]}" != *"quay.io"* ]] && exit 1; }
done
fi
'''
@@ -681,13 +687,16 @@ pipeline {
echo $GITHUB_TOKEN | docker login ghcr.io -u LinuxServer-CI --password-stdin
echo $GITLAB_TOKEN | docker login registry.gitlab.com -u LinuxServer.io --password-stdin
echo $QUAYPASS | docker login quay.io -u $QUAYUSER --password-stdin
if [[ "${PACKAGE_CHECK}" != "true" ]]; then
declare -A pids
IFS=',' read -ra CACHE <<< "$BUILDCACHE"
for i in "${CACHE[@]}"; do
docker push ${i}:amd64-${COMMIT_SHA}-${BUILD_NUMBER} &
pids[$!]="$i"
done
for p in $(jobs -p); do
wait "$p" || { echo "job $p failed" >&2; exit 1; }
for p in "${!pids[@]}"; do
wait "$p" || { [[ "${pids[$p]}" != *"quay.io"* ]] && exit 1; }
done
fi
'''
@@ -741,12 +750,14 @@ pipeline {
echo $GITLAB_TOKEN | docker login registry.gitlab.com -u LinuxServer.io --password-stdin
echo $QUAYPASS | docker login quay.io -u $QUAYUSER --password-stdin
if [[ "${PACKAGE_CHECK}" != "true" ]]; then
declare -A pids
IFS=',' read -ra CACHE <<< "$BUILDCACHE"
for i in "${CACHE[@]}"; do
docker push ${i}:arm64v8-${COMMIT_SHA}-${BUILD_NUMBER} &
pids[$!]="$i"
done
for p in $(jobs -p); do
wait "$p" || { echo "job $p failed" >&2; exit 1; }
for p in "${!pids[@]}"; do
wait "$p" || { [[ "${pids[$p]}" != *"quay.io"* ]] && exit 1; }
done
fi
'''
@@ -871,7 +882,7 @@ pipeline {
CI_DOCKERENV="LSIO_FIRST_PARTY=true"
fi
fi
docker pull ghcr.io/linuxserver/ci:latest
docker pull ghcr.io/linuxserver/ci:${CITEST_IMAGETAG}
if [ "${MULTIARCH}" == "true" ]; then
docker pull ghcr.io/linuxserver/lsiodev-buildcache:arm64v8-${COMMIT_SHA}-${BUILD_NUMBER} --platform=arm64
docker tag ghcr.io/linuxserver/lsiodev-buildcache:arm64v8-${COMMIT_SHA}-${BUILD_NUMBER} ${IMAGE}:arm64v8-${META_TAG}
@@ -895,7 +906,9 @@ pipeline {
-e WEB_PATH=\"${CI_WEBPATH}\" \
-e NODE_NAME=\"${NODE_NAME}\" \
-e SYFT_IMAGE_TAG=\"${CI_SYFT_IMAGE_TAG:-${SYFT_IMAGE_TAG}}\" \
-t ghcr.io/linuxserver/ci:latest \
-e COMMIT_SHA=\"${COMMIT_SHA}\" \
-e BUILD_NUMBER=\"${BUILD_NUMBER}\" \
-t ghcr.io/linuxserver/ci:${CITEST_IMAGETAG} \
python3 test_build.py'''
}
}
@@ -921,9 +934,11 @@ pipeline {
CACHEIMAGE=${i}
fi
done
docker buildx imagetools create --prefer-index=false -t ${PUSHIMAGE}:${META_TAG} -t ${PUSHIMAGE}:develop -t ${PUSHIMAGE}:${EXT_RELEASE_TAG} ${CACHEIMAGE}:amd64-${COMMIT_SHA}-${BUILD_NUMBER}
docker buildx imagetools create --prefer-index=false -t ${PUSHIMAGE}:${META_TAG} -t ${PUSHIMAGE}:develop -t ${PUSHIMAGE}:${EXT_RELEASE_TAG} ${CACHEIMAGE}:amd64-${COMMIT_SHA}-${BUILD_NUMBER} || \
{ if [[ "${PUSHIMAGE}" != "${QUAYIMAGE}" ]]; then exit 1; fi; }
if [ -n "${SEMVER}" ]; then
docker buildx imagetools create --prefer-index=false -t ${PUSHIMAGE}:${SEMVER} ${CACHEIMAGE}:amd64-${COMMIT_SHA}-${BUILD_NUMBER}
docker buildx imagetools create --prefer-index=false -t ${PUSHIMAGE}:${SEMVER} ${CACHEIMAGE}:amd64-${COMMIT_SHA}-${BUILD_NUMBER} || \
{ if [[ "${PUSHIMAGE}" != "${QUAYIMAGE}" ]]; then exit 1; fi; }
fi
done
'''
@@ -948,20 +963,27 @@ pipeline {
CACHEIMAGE=${i}
fi
done
docker buildx imagetools create --prefer-index=false -t ${MANIFESTIMAGE}:amd64-${META_TAG} -t ${MANIFESTIMAGE}:amd64-develop -t ${MANIFESTIMAGE}:amd64-${EXT_RELEASE_TAG} ${CACHEIMAGE}:amd64-${COMMIT_SHA}-${BUILD_NUMBER}
docker buildx imagetools create --prefer-index=false -t ${MANIFESTIMAGE}:arm64v8-${META_TAG} -t ${MANIFESTIMAGE}:arm64v8-develop -t ${MANIFESTIMAGE}:arm64v8-${EXT_RELEASE_TAG} ${CACHEIMAGE}:arm64v8-${COMMIT_SHA}-${BUILD_NUMBER}
docker buildx imagetools create --prefer-index=false -t ${MANIFESTIMAGE}:amd64-${META_TAG} -t ${MANIFESTIMAGE}:amd64-develop -t ${MANIFESTIMAGE}:amd64-${EXT_RELEASE_TAG} ${CACHEIMAGE}:amd64-${COMMIT_SHA}-${BUILD_NUMBER} || \
{ if [[ "${MANIFESTIMAGE}" != "${QUAYIMAGE}" ]]; then exit 1; fi; }
docker buildx imagetools create --prefer-index=false -t ${MANIFESTIMAGE}:arm64v8-${META_TAG} -t ${MANIFESTIMAGE}:arm64v8-develop -t ${MANIFESTIMAGE}:arm64v8-${EXT_RELEASE_TAG} ${CACHEIMAGE}:arm64v8-${COMMIT_SHA}-${BUILD_NUMBER} || \
{ if [[ "${MANIFESTIMAGE}" != "${QUAYIMAGE}" ]]; then exit 1; fi; }
if [ -n "${SEMVER}" ]; then
docker buildx imagetools create --prefer-index=false -t ${MANIFESTIMAGE}:amd64-${SEMVER} ${CACHEIMAGE}:amd64-${COMMIT_SHA}-${BUILD_NUMBER}
docker buildx imagetools create --prefer-index=false -t ${MANIFESTIMAGE}:arm64v8-${SEMVER} ${CACHEIMAGE}:arm64v8-${COMMIT_SHA}-${BUILD_NUMBER}
docker buildx imagetools create --prefer-index=false -t ${MANIFESTIMAGE}:amd64-${SEMVER} ${CACHEIMAGE}:amd64-${COMMIT_SHA}-${BUILD_NUMBER} || \
{ if [[ "${MANIFESTIMAGE}" != "${QUAYIMAGE}" ]]; then exit 1; fi; }
docker buildx imagetools create --prefer-index=false -t ${MANIFESTIMAGE}:arm64v8-${SEMVER} ${CACHEIMAGE}:arm64v8-${COMMIT_SHA}-${BUILD_NUMBER} || \
{ if [[ "${MANIFESTIMAGE}" != "${QUAYIMAGE}" ]]; then exit 1; fi; }
fi
done
for MANIFESTIMAGE in "${IMAGE}" "${GITLABIMAGE}" "${GITHUBIMAGE}" "${QUAYIMAGE}"; do
docker buildx imagetools create -t ${MANIFESTIMAGE}:develop ${MANIFESTIMAGE}:amd64-develop ${MANIFESTIMAGE}:arm64v8-develop
docker buildx imagetools create -t ${MANIFESTIMAGE}:${META_TAG} ${MANIFESTIMAGE}:amd64-${META_TAG} ${MANIFESTIMAGE}:arm64v8-${META_TAG}
docker buildx imagetools create -t ${MANIFESTIMAGE}:${EXT_RELEASE_TAG} ${MANIFESTIMAGE}:amd64-${EXT_RELEASE_TAG} ${MANIFESTIMAGE}:arm64v8-${EXT_RELEASE_TAG}
docker buildx imagetools create -t ${MANIFESTIMAGE}:develop ${MANIFESTIMAGE}:amd64-develop ${MANIFESTIMAGE}:arm64v8-develop || \
{ if [[ "${MANIFESTIMAGE}" != "${QUAYIMAGE}" ]]; then exit 1; fi; }
docker buildx imagetools create -t ${MANIFESTIMAGE}:${META_TAG} ${MANIFESTIMAGE}:amd64-${META_TAG} ${MANIFESTIMAGE}:arm64v8-${META_TAG} || \
{ if [[ "${MANIFESTIMAGE}" != "${QUAYIMAGE}" ]]; then exit 1; fi; }
docker buildx imagetools create -t ${MANIFESTIMAGE}:${EXT_RELEASE_TAG} ${MANIFESTIMAGE}:amd64-${EXT_RELEASE_TAG} ${MANIFESTIMAGE}:arm64v8-${EXT_RELEASE_TAG} || \
{ if [[ "${MANIFESTIMAGE}" != "${QUAYIMAGE}" ]]; then exit 1; fi; }
if [ -n "${SEMVER}" ]; then
docker buildx imagetools create -t ${MANIFESTIMAGE}:${SEMVER} ${MANIFESTIMAGE}:amd64-${SEMVER} ${MANIFESTIMAGE}:arm64v8-${SEMVER}
docker buildx imagetools create -t ${MANIFESTIMAGE}:${SEMVER} ${MANIFESTIMAGE}:amd64-${SEMVER} ${MANIFESTIMAGE}:arm64v8-${SEMVER} || \
{ if [[ "${MANIFESTIMAGE}" != "${QUAYIMAGE}" ]]; then exit 1; fi; }
fi
done
'''
@@ -979,23 +1001,41 @@ pipeline {
environment name: 'EXIT_STATUS', value: ''
}
steps {
echo "Pushing New tag for current commit ${META_TAG}"
sh '''curl -H "Authorization: token ${GITHUB_TOKEN}" -X POST https://api.github.com/repos/${LS_USER}/${LS_REPO}/git/tags \
-d '{"tag":"'${META_TAG}'",\
"object": "'${COMMIT_SHA}'",\
"message": "Tagging Release '${EXT_RELEASE_CLEAN}'-ls'${LS_TAG_NUMBER}' to develop",\
"type": "commit",\
"tagger": {"name": "LinuxServer-CI","email": "ci@linuxserver.io","date": "'${GITHUB_DATE}'"}}' '''
echo "Pushing New release for Tag"
sh '''#! /bin/bash
echo "Auto-generating release notes"
if [ "$(git tag --points-at HEAD)" != "" ]; then
echo "Existing tag points to current commit, suggesting no new LS changes"
AUTO_RELEASE_NOTES="No changes"
else
AUTO_RELEASE_NOTES=$(curl -fsL -H "Authorization: token ${GITHUB_TOKEN}" -H "Accept: application/vnd.github+json" -X POST https://api.github.com/repos/${LS_USER}/${LS_REPO}/releases/generate-notes \
-d '{"tag_name":"'${META_TAG}'",\
"target_commitish": "develop"}' \
| jq -r '.body' | sed 's|## What.s Changed||')
fi
echo "Pushing New tag for current commit ${META_TAG}"
curl -H "Authorization: token ${GITHUB_TOKEN}" -X POST https://api.github.com/repos/${LS_USER}/${LS_REPO}/git/tags \
-d '{"tag":"'${META_TAG}'",\
"object": "'${COMMIT_SHA}'",\
"message": "Tagging Release '${EXT_RELEASE_CLEAN}'-ls'${LS_TAG_NUMBER}' to develop",\
"type": "commit",\
"tagger": {"name": "LinuxServer-CI","email": "ci@linuxserver.io","date": "'${GITHUB_DATE}'"}}'
echo "Pushing New release for Tag"
echo "Updating to ${EXT_RELEASE_CLEAN}" > releasebody.json
echo '{"tag_name":"'${META_TAG}'",\
"target_commitish": "develop",\
"name": "'${META_TAG}'",\
"body": "**CI Report:**\\n\\n'${CI_URL:-N/A}'\\n\\n**LinuxServer Changes:**\\n\\n'${LS_RELEASE_NOTES}'\\n\\n**Remote Changes:**\\n\\n' > start
printf '","draft": false,"prerelease": true}' >> releasebody.json
paste -d'\\0' start releasebody.json > releasebody.json.done
curl -H "Authorization: token ${GITHUB_TOKEN}" -X POST https://api.github.com/repos/${LS_USER}/${LS_REPO}/releases -d @releasebody.json.done'''
jq -n \
--arg tag_name "$META_TAG" \
--arg target_commitish "develop" \
--arg ci_url "${CI_URL:-N/A}" \
--arg ls_notes "$AUTO_RELEASE_NOTES" \
--arg remote_notes "$(cat releasebody.json)" \
'{
"tag_name": $tag_name,
"target_commitish": $target_commitish,
"name": $tag_name,
"body": ("**CI Report:**\\n\\n" + $ci_url + "\\n\\n**LinuxServer Changes:**\\n\\n" + $ls_notes + "\\n\\n**Remote Changes:**\\n\\n" + $remote_notes),
"draft": false,
"prerelease": true }' > releasebody.json.done
curl -H "Authorization: token ${GITHUB_TOKEN}" -X POST https://api.github.com/repos/${LS_USER}/${LS_REPO}/releases -d @releasebody.json.done
'''
}
}
// Add protection to the release branch
+120 -102
View File
@@ -1,69 +1,83 @@
NAME VERSION TYPE
BouncyCastle.Cryptography 2.4.0 dotnet (+5 duplicates)
Dapper 2.0.151 dotnet (+5 duplicates)
Azure.Core 1.47.1 dotnet (+5 duplicates)
Azure.Identity 1.14.2 dotnet (+5 duplicates)
BouncyCastle.Cryptography 2.5.1 dotnet (+5 duplicates)
Dapper 2.1.66 dotnet (+5 duplicates)
Diacritical.Net 1.0.4 dotnet (+5 duplicates)
DryIoc.Microsoft.DependencyInjection 6.2.0 dotnet (+1 duplicate)
DryIoc.dll 5.4.3 dotnet (+7 duplicates)
Dynamitey 2.0.9.136 dotnet (+3 duplicates)
Dynamitey 3.0.3 dotnet (+3 duplicates)
Equ 2.3.0 dotnet (+5 duplicates)
FluentMigrator 6.2.0 dotnet (+5 duplicates)
FluentMigrator.Abstractions 6.2.0 dotnet (+5 duplicates)
FluentMigrator.Extensions.Postgres 6.2.0 dotnet (+5 duplicates)
FluentMigrator.Runner.Core 6.2.0 dotnet (+5 duplicates)
FluentMigrator.Runner.Postgres 6.2.0 dotnet (+5 duplicates)
FluentMigrator.Runner.SQLite 6.2.0 dotnet (+5 duplicates)
FluentValidation 9.5.4 dotnet (+5 duplicates)
IPAddressRange 6.2.0 dotnet (+7 duplicates)
Ical.Net 4.3.1 dotnet (+2 duplicates)
ImpromptuInterface 7.0.1 dotnet (+3 duplicates)
ImpromptuInterface 8.0.6 dotnet (+3 duplicates)
Instances 1.6.1 dotnet (+5 duplicates)
MailKit 4.8.0 dotnet (+5 duplicates)
Microsoft.AspNetCore.Cryptography.Internal 6.0.35 dotnet (+4 duplicates)
Microsoft.AspNetCore.Cryptography.KeyDerivation 6.0.35 dotnet (+4 duplicates)
Microsoft.Bcl.AsyncInterfaces 6.0.0 dotnet (+5 duplicates)
Microsoft.Bcl.TimeProvider 8.0.0 dotnet (+5 duplicates)
Microsoft.Data.SqlClient 2.1.7 dotnet (+5 duplicates)
Microsoft.Extensions.Configuration 6.0.0 dotnet (+1 duplicate)
Microsoft.Extensions.Configuration 6.0.1 dotnet (+4 duplicates)
Microsoft.Extensions.Configuration.Abstractions 6.0.0 dotnet (+2 duplicates)
Microsoft.Extensions.Configuration.Binder 6.0.0 dotnet (+2 duplicates)
Microsoft.Extensions.Configuration.CommandLine 6.0.0 dotnet (+6 duplicates)
Microsoft.Extensions.Configuration.EnvironmentVariables 6.0.1 dotnet (+6 duplicates)
Microsoft.Extensions.Configuration.FileExtensions 6.0.0 dotnet (+6 duplicates)
Microsoft.Extensions.Configuration.Json 6.0.0 dotnet (+6 duplicates)
Microsoft.Extensions.Configuration.UserSecrets 6.0.1 dotnet (+6 duplicates)
Microsoft.Extensions.DependencyInjection 6.0.1 dotnet (+7 duplicates)
Microsoft.Extensions.DependencyInjection.Abstractions 6.0.0 dotnet (+2 duplicates)
Microsoft.Extensions.DependencyInjection.Abstractions 7.0.0 dotnet (+1 duplicate)
Microsoft.Extensions.FileProviders.Abstractions 6.0.0 dotnet (+2 duplicates)
Microsoft.Extensions.FileProviders.Physical 6.0.0 dotnet (+2 duplicates)
Microsoft.Extensions.FileSystemGlobbing 6.0.0 dotnet (+2 duplicates)
Microsoft.Extensions.Hosting 6.0.1 dotnet (+7 duplicates)
Microsoft.Extensions.Hosting.Abstractions 6.0.0 dotnet (+4 duplicates)
Microsoft.Extensions.Hosting.WindowsServices 6.0.2 dotnet (+7 duplicates)
Microsoft.Extensions.Logging 6.0.0 dotnet (+7 duplicates)
Microsoft.Extensions.Logging.Abstractions 6.0.0 dotnet (+2 duplicates)
Microsoft.Extensions.Logging.Configuration 6.0.0 dotnet (+7 duplicates)
Microsoft.Extensions.Logging.Console 6.0.0 dotnet (+7 duplicates)
Microsoft.Extensions.Logging.Debug 6.0.0 dotnet (+7 duplicates)
Microsoft.Extensions.Logging.EventLog 6.0.0 dotnet (+7 duplicates)
Microsoft.Extensions.Logging.EventSource 6.0.0 dotnet (+7 duplicates)
Microsoft.Extensions.Options 6.0.0 dotnet (+4 duplicates)
Microsoft.Extensions.Options.ConfigurationExtensions 6.0.0 dotnet (+4 duplicates)
Microsoft.Extensions.Primitives 6.0.0 dotnet (+2 duplicates)
Microsoft.Identity.Client 4.21.1 dotnet (+5 duplicates)
Microsoft.IdentityModel.JsonWebTokens 6.8.0 dotnet (+5 duplicates)
Microsoft.IdentityModel.Logging 6.8.0 dotnet (+5 duplicates)
Microsoft.IdentityModel.Protocols 6.8.0 dotnet (+5 duplicates)
Microsoft.IdentityModel.Protocols.OpenIdConnect 6.8.0 dotnet (+5 duplicates)
Microsoft.IdentityModel.Tokens 6.8.0 dotnet (+5 duplicates)
Microsoft.OpenApi 1.6.14 dotnet (+2 duplicates)
Microsoft.Win32.SystemEvents 6.0.0 dotnet (+7 duplicates)
MimeKit 4.8.0 dotnet (+5 duplicates)
Mono.Nat 3.0.1 dotnet (+5 duplicates)
MailKit 4.13.0 dotnet (+5 duplicates)
Microsoft.AspNetCore.Cryptography.Internal 8.0.17 dotnet (+5 duplicates)
Microsoft.AspNetCore.Cryptography.KeyDerivation 8.0.17 dotnet (+5 duplicates)
Microsoft.Bcl.AsyncInterfaces 8.0.0 dotnet (+5 duplicates)
Microsoft.Bcl.Cryptography 8.0.0 dotnet (+5 duplicates)
Microsoft.Data.SqlClient 6.1.1 dotnet (+5 duplicates)
Microsoft.Extensions.Caching.Abstractions 8.0.0 dotnet (+4 duplicates)
Microsoft.Extensions.Caching.Memory 8.0.1 dotnet (+5 duplicates)
Microsoft.Extensions.Configuration 8.0.0 dotnet (+6 duplicates)
Microsoft.Extensions.Configuration.Abstractions 8.0.0 dotnet (+6 duplicates)
Microsoft.Extensions.Configuration.Binder 8.0.2 dotnet (+6 duplicates)
Microsoft.Extensions.Configuration.CommandLine 8.0.0 dotnet (+6 duplicates)
Microsoft.Extensions.Configuration.EnvironmentVariables 8.0.0 dotnet (+6 duplicates)
Microsoft.Extensions.Configuration.FileExtensions 8.0.1 dotnet (+6 duplicates)
Microsoft.Extensions.Configuration.Json 8.0.1 dotnet (+6 duplicates)
Microsoft.Extensions.Configuration.UserSecrets 8.0.1 dotnet (+6 duplicates)
Microsoft.Extensions.DependencyInjection 8.0.1 dotnet (+6 duplicates)
Microsoft.Extensions.DependencyInjection.Abstractions 8.0.2 dotnet (+6 duplicates)
Microsoft.Extensions.Diagnostics 8.0.1 dotnet (+6 duplicates)
Microsoft.Extensions.Diagnostics.Abstractions 8.0.1 dotnet (+6 duplicates)
Microsoft.Extensions.FileProviders.Abstractions 8.0.0 dotnet (+6 duplicates)
Microsoft.Extensions.FileProviders.Physical 8.0.0 dotnet (+6 duplicates)
Microsoft.Extensions.FileSystemGlobbing 8.0.0 dotnet (+6 duplicates)
Microsoft.Extensions.Hosting 8.0.1 dotnet (+7 duplicates)
Microsoft.Extensions.Hosting.Abstractions 8.0.1 dotnet (+7 duplicates)
Microsoft.Extensions.Hosting.WindowsServices 8.0.1 dotnet (+7 duplicates)
Microsoft.Extensions.Logging 8.0.1 dotnet (+7 duplicates)
Microsoft.Extensions.Logging.Abstractions 8.0.2 dotnet (+1 duplicate)
Microsoft.Extensions.Logging.Abstractions 8.0.3 dotnet (+5 duplicates)
Microsoft.Extensions.Logging.Configuration 8.0.1 dotnet (+7 duplicates)
Microsoft.Extensions.Logging.Console 8.0.1 dotnet (+7 duplicates)
Microsoft.Extensions.Logging.Debug 8.0.1 dotnet (+7 duplicates)
Microsoft.Extensions.Logging.EventLog 8.0.1 dotnet (+7 duplicates)
Microsoft.Extensions.Logging.EventSource 8.0.1 dotnet (+7 duplicates)
Microsoft.Extensions.Options 8.0.2 dotnet (+6 duplicates)
Microsoft.Extensions.Options.ConfigurationExtensions 8.0.0 dotnet (+6 duplicates)
Microsoft.Extensions.Primitives 8.0.0 dotnet (+6 duplicates)
Microsoft.Identity.Client 4.73.1 dotnet (+5 duplicates)
Microsoft.Identity.Client.Extensions.Msal 4.73.1 dotnet (+5 duplicates)
Microsoft.IdentityModel.Abstractions 7.7.1 dotnet (+5 duplicates)
Microsoft.IdentityModel.JsonWebTokens 7.7.1 dotnet (+5 duplicates)
Microsoft.IdentityModel.Logging 7.7.1 dotnet (+5 duplicates)
Microsoft.IdentityModel.Protocols 7.7.1 dotnet (+5 duplicates)
Microsoft.IdentityModel.Protocols.OpenIdConnect 7.7.1 dotnet (+5 duplicates)
Microsoft.IdentityModel.Tokens 7.7.1 dotnet (+5 duplicates)
Microsoft.OpenApi 1.6.23 dotnet (+2 duplicates)
Microsoft.SqlServer.Server 1.0.0 dotnet (+5 duplicates)
Microsoft.Win32.SystemEvents 8.0.0 dotnet (+5 duplicates)
MimeKit 4.13.0 dotnet (+5 duplicates)
Mono.Nat 3.0.0 dotnet (+5 duplicates)
Mono.Posix.NETStandard 5.20.1.34-servarr20 dotnet
MonoTorrent 2.0.7 dotnet (+5 duplicates)
MonoTorrent 3.0.2 dotnet (+5 duplicates)
NLog 5.4.0 dotnet (+7 duplicates)
NLog.Extensions.Logging 5.4.0 dotnet (+7 duplicates)
NLog.Layouts.ClefJsonLayout 1.0.3 dotnet (+7 duplicates)
NLog.Targets.Syslog 7.0.0 dotnet (+7 duplicates)
Newtonsoft.Json 13.0.3 dotnet (+7 duplicates)
NodaTime 3.2.0 dotnet (+2 duplicates)
Npgsql 7.0.10 dotnet (+7 duplicates)
Npgsql 9.0.3 dotnet (+7 duplicates)
Polly 8.6.0 dotnet (+5 duplicates)
Polly.Contrib.WaitAndRetry 1.1.1 dotnet (+7 duplicates)
Polly.Core 8.6.0 dotnet (+5 duplicates)
@@ -75,75 +89,72 @@ Radarr.Host 1.0.0
Radarr.Http 1.0.0 dotnet (+3 duplicates)
Radarr.Mono 1.0.0 dotnet
Radarr.SignalR 1.0.0 dotnet (+4 duplicates)
ReusableTasks 2.0.0 dotnet (+5 duplicates)
ReusableTasks 4.0.0 dotnet (+5 duplicates)
Sentry 4.0.2 dotnet (+7 duplicates)
Servarr.FFMpegCore 4.7.0-26 dotnet (+5 duplicates)
Servarr.FFprobe 5.1.4.112 dotnet (+5 duplicates)
Servarr.FluentMigrator 3.3.2.9 dotnet (+5 duplicates)
Servarr.FluentMigrator.Abstractions 3.3.2.9 dotnet (+5 duplicates)
Servarr.FluentMigrator.Extensions.Oracle 3.3.2.9 dotnet (+5 duplicates)
Servarr.FluentMigrator.Extensions.Postgres 3.3.2.9 dotnet (+5 duplicates)
Servarr.FluentMigrator.Extensions.SqlAnywhere 3.3.2.9 dotnet (+5 duplicates)
Servarr.FluentMigrator.Extensions.SqlServer 3.3.2.9 dotnet (+5 duplicates)
Servarr.FluentMigrator.Runner 3.3.2.9 dotnet (+5 duplicates)
Servarr.FluentMigrator.Runner.Core 3.3.2.9 dotnet (+5 duplicates)
Servarr.FluentMigrator.Runner.Db2 3.3.2.9 dotnet (+5 duplicates)
Servarr.FluentMigrator.Runner.Firebird 3.3.2.9 dotnet (+5 duplicates)
Servarr.FluentMigrator.Runner.Hana 3.3.2.9 dotnet (+5 duplicates)
Servarr.FluentMigrator.Runner.MySql 3.3.2.9 dotnet (+5 duplicates)
Servarr.FluentMigrator.Runner.Oracle 3.3.2.9 dotnet (+5 duplicates)
Servarr.FluentMigrator.Runner.Postgres 3.3.2.9 dotnet (+5 duplicates)
Servarr.FluentMigrator.Runner.Redshift 3.3.2.9 dotnet (+5 duplicates)
Servarr.FluentMigrator.Runner.SQLite 3.3.2.9 dotnet (+5 duplicates)
Servarr.FluentMigrator.Runner.SqlAnywhere 3.3.2.9 dotnet (+5 duplicates)
Servarr.FluentMigrator.Runner.SqlServer 3.3.2.9 dotnet (+5 duplicates)
Servarr.FluentMigrator.Runner.SqlServerCe 3.3.2.9 dotnet (+5 duplicates)
SharpZipLib 1.4.2 dotnet (+7 duplicates)
SixLabors.ImageSharp 3.1.11 dotnet (+5 duplicates)
Swashbuckle.AspNetCore.Annotations 6.6.2 dotnet (+2 duplicates)
Swashbuckle.AspNetCore.Swagger 6.6.2 dotnet (+2 duplicates)
Swashbuckle.AspNetCore.SwaggerGen 6.6.2 dotnet (+2 duplicates)
System.Configuration.ConfigurationManager 6.0.1 dotnet (+7 duplicates)
System.Data.SQLite.Core.Servarr 1.0.115.5-18 dotnet (+7 duplicates)
System.Diagnostics.EventLog 6.0.0 dotnet (+2 duplicates)
System.Drawing.Common 6.0.0 dotnet (+7 duplicates)
System.Formats.Asn1 8.0.1 dotnet (+5 duplicates)
System.IdentityModel.Tokens.Jwt 6.8.0 dotnet (+5 duplicates)
System.Runtime.Caching 4.7.0 dotnet (+5 duplicates)
System.Security.Cryptography.Pkcs 8.0.0 dotnet (+5 duplicates)
System.Security.Cryptography.ProtectedData 6.0.0 dotnet (+7 duplicates)
System.Security.Permissions 6.0.0 dotnet (+7 duplicates)
System.ServiceProcess.ServiceController 6.0.1 dotnet (+7 duplicates)
System.Text.Json 6.0.10 dotnet (+6 duplicates)
System.Windows.Extensions 6.0.0 dotnet (+7 duplicates)
SourceGear.sqlite3 3.50.4.2 dotnet (+7 duplicates)
Swashbuckle.AspNetCore.Annotations 8.1.4 dotnet (+2 duplicates)
Swashbuckle.AspNetCore.Swagger 8.1.4 dotnet (+2 duplicates)
Swashbuckle.AspNetCore.SwaggerGen 8.1.4 dotnet (+2 duplicates)
System.ClientModel 1.5.1 dotnet (+5 duplicates)
System.ComponentModel 4.3.0 dotnet (+2 duplicates)
System.ComponentModel.Annotations 5.0.0 dotnet (+4 duplicates)
System.Configuration.ConfigurationManager 8.0.1 dotnet (+7 duplicates)
System.Data.SQLite 2.0.2 dotnet (+7 duplicates)
System.Diagnostics.DiagnosticSource 6.0.1 dotnet (+4 duplicates)
System.Diagnostics.EventLog 8.0.1 dotnet (+6 duplicates)
System.Drawing.Common 8.0.20 dotnet (+5 duplicates)
System.Formats.Asn1 8.0.1 dotnet (+4 duplicates)
System.IO 4.3.0 dotnet (+5 duplicates)
System.IO.FileSystem.AccessControl 5.0.0 dotnet (+5 duplicates)
System.IdentityModel.Tokens.Jwt 7.7.1 dotnet (+5 duplicates)
System.Memory.Data 8.0.1 dotnet (+5 duplicates)
System.Private.Uri 4.3.0 dotnet (+5 duplicates)
System.Reflection 4.3.0 dotnet (+5 duplicates)
System.Reflection.Primitives 4.3.0 dotnet (+5 duplicates)
System.Runtime 4.3.0 dotnet (+5 duplicates)
System.Runtime.CompilerServices.Unsafe 6.0.0 dotnet (+4 duplicates)
System.Runtime.Loader 4.3.0 dotnet (+5 duplicates)
System.Security.AccessControl 5.0.0 dotnet (+5 duplicates)
System.Security.Cryptography.Pkcs 8.0.1 dotnet (+4 duplicates)
System.Security.Cryptography.ProtectedData 8.0.0 dotnet (+7 duplicates)
System.Security.Principal.Windows 5.0.0 dotnet (+5 duplicates)
System.ServiceProcess.ServiceController 8.0.1 dotnet (+7 duplicates)
System.Text.Encoding 4.3.0 dotnet (+5 duplicates)
System.Text.Encoding.CodePages 8.0.0 dotnet (+4 duplicates)
System.Text.Json 8.0.5 dotnet (+5 duplicates)
System.Threading.Tasks 4.3.0 dotnet (+5 duplicates)
acl-libs 2.3.2-r1 apk
alpine-baselayout 3.7.0-r0 apk
alpine-baselayout-data 3.7.0-r0 apk
alpine-keys 2.5-r0 apk
alpine-release 3.22.1-r0 apk
apk-tools 2.14.9-r2 apk
alpine-release 3.22.2-r0 apk
apk-tools 2.14.9-r3 apk
bash 5.2.37-r0 apk
brotli-libs 1.1.0-r2 apk
busybox 1.37.0-r19 apk
busybox-binsh 1.37.0-r19 apk
busybox 1.37.0-r20 apk
busybox-binsh 1.37.0-r20 apk
c-ares 1.34.5-r0 apk
ca-certificates 20250619-r0 apk
ca-certificates-bundle 20250619-r0 apk
ca-certificates 20250911-r0 apk
ca-certificates-bundle 20250911-r0 apk
catatonit 0.2.1-r0 apk
coreutils 9.7-r1 apk
coreutils-env 9.7-r1 apk
coreutils-fmt 9.7-r1 apk
coreutils-sha512sum 9.7-r1 apk
curl 8.14.1-r1 apk
curl 8.14.1-r2 apk
findutils 4.10.0-r0 apk
icu-data-en 76.1-r1 apk
icu-libs 76.1-r1 apk
jq 1.8.0-r0 apk
libapk2 2.14.9-r2 apk
jq 1.8.1-r0 apk
libapk2 2.14.9-r3 apk
libattr 2.5.2-r2 apk
libbsd 0.12.2-r0 apk
libcrypto3 3.5.2-r0 apk
libcurl 8.14.1-r1 apk
libcrypto3 3.5.4-r0 apk
libcurl 8.14.1-r2 apk
libgcc 14.2.0-r6 apk
libidn2 2.3.7-r0 apk
libintl 0.24.1-r0 apk
@@ -151,10 +162,10 @@ libmd 1.1.0-r0
libncursesw 6.5_p20250503-r0 apk
libproc2 4.0.4-r3 apk
libpsl 0.21.5-r3 apk
libssl3 3.5.2-r0 apk
libssl3 3.5.4-r0 apk
libstdc++ 14.2.0-r6 apk
libunistring 1.3-r0 apk
libxml2 2.13.8-r0 apk
libxml2 2.13.9-r0 apk
libxslt 1.1.43-r3 apk
linux-pam 1.7.0-r4 apk
musl 1.2.5-r10 apk
@@ -165,13 +176,20 @@ nghttp2-libs 1.65.0-r0
oniguruma 6.9.10-r0 apk
procps-ng 4.0.4-r3 apk
readline 8.2.13-r1 apk
runtimepack.Microsoft.AspNetCore.App.Runtime.linux-musl-x64 6.0.35 dotnet
runtimepack.Microsoft.NETCore.App.Runtime.linux-musl-x64 6.0.35 dotnet
runtime.any.System.IO 4.3.0 dotnet (+5 duplicates)
runtime.any.System.Reflection 4.3.0 dotnet (+5 duplicates)
runtime.any.System.Reflection.Primitives 4.3.0 dotnet (+5 duplicates)
runtime.any.System.Runtime 4.3.0 dotnet (+5 duplicates)
runtime.any.System.Text.Encoding 4.3.0 dotnet (+5 duplicates)
runtime.any.System.Threading.Tasks 4.3.0 dotnet (+5 duplicates)
runtime.unix.System.Private.Uri 4.3.0 dotnet (+5 duplicates)
runtimepack.Microsoft.AspNetCore.App.Runtime.linux-musl-x64 8.0.12 dotnet (+4 duplicates)
runtimepack.Microsoft.NETCore.App.Runtime.linux-musl-x64 8.0.12 dotnet (+7 duplicates)
scanelf 1.3.8-r1 apk
shadow 4.17.3-r0 apk
skalibs-libs 2.14.4.0-r0 apk
sqlite-libs 3.49.2-r1 apk
ssl_client 1.37.0-r19 apk
ssl_client 1.37.0-r20 apk
tzdata 2025b-r0 apk
utmps-libs 0.1.3.1-r0 apk
xmlstarlet 1.6.1-r2 apk